KDESU(1)

NAMN
kdesu - Kör ett program med förhöjda rättigheter

SYNOPSIS

kdesu [-c kommando] [-d] [-f fil] [-i ikonnamn] [-n] [-p prioritet] [-r] [-s] [-t] [-u användare] [--noignorebutton] [--attach fönster-id]

kdesu [Allmänna KDE-väljare] [Allmänna Qt-väljare]

BESKRIVNING

KDE su är ett grafiskt gränssnitt för UNIX®-kommandot su för K-skrivbordsmiljön. Det låter dig köra ett program som en annan användare, genom att tillhandahålla ett lösenord för den användaren. KDE su är ett program utan privilegier: Det använder systemets su.

KDE su har ytterligare en funktion: Det kan valfritt komma ihåg lösenord åt dig. Om du använder funktionen behöver du bara skriva in lösenordet första gången för varje kommando.

Programmet är avsett att startas från kommandoraden eller från .desktop-filer.

Eftersom kdesu inte längre installeras i $(kde4-config --prefix)/bin utan i kde4-config --path libexec och därigenom inte ingår i Path, måste man använda $(kde4-config --path libexec)kdesu för att starta kdesu.

VÄLJARE

-c kommando
    Det här anger kommandot att köra som systemadministratör. Det måste skickas i ett argument. Om du till exempel vill starta en ny filhanterare, skulle du skriva in: $(kde4-config --path libexec)kdesu -c Dolphin

-d
    Visa felsökningsinformation.

-f fil
    Väljaren gör det möjligt att använda KDE su effektivt i .desktop-filer. Den talar om för KDE su att undersöka filen angiven av fil. Om filen är skrivbar av den aktuella användaren, körs kommandot som aktuell användare. Om den inte är skrivbar, körs kommandot som användaren användare (förvald som systemadministratör).

    fil utvärderas så här: om fil börjar med /, tolkas den som ett absolut filnamn. Annars tolkas den som namnet på en global KDE-inställningsfil.

-i ikonnamn
    Ange ikon att använda i lösenordsdialogrutan. Du kan ange bara namnet, utan någon filändelse.

-n
    Behåll inte lösenordet. Det inaktiverar kryssrutan behåll lösenord i lösenordsdialogrutan.

-p prioritet
    Ange prioritetsvärde. Prioriteten är ett godtyckligt tal mellan 0 och 100, där 100 betyder högst prioritet och 0 betyder lägst. Förval är 50.

-r
    Använd realtidsschemaläggning.

-s
    Stoppa kdesu-demonen. Det är demonen som lagrar lyckade lösenord i bakgrunden. Funktionen kan också inaktiveras med -n när KDE su körs för första gången.

-t
    Aktiver terminalutmatning. Det inaktiverar att behålla lösenord. Det är i stort sett till för avlusning. Om du vill köra ett program i terminalen, använd det vanliga kommandot su istället.

-u användare
    Även om den vanligaste användningen av KDE su är att köra ett kommando som systemadministratör, kan du ange vilket användarnamn som helst och lämpligt lösenord.

--noignorebutton
    Visa inte knappen Ignorera.

--attach fönster-id
    Gör dialogrutan tillfällig för ett X-program som anges av fönster-id.

SE OCKSÅ

su(1)

Mer detaljerad användardokumentation är tillgänglig med help:/kdesu (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/kdesu).

EXEMPEL

Kör kfmclient som användaren jim, och visa Konquerors ikon i lösenordsdialogrutan:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

UPPHOVSMÄN

KDE su är skrivet av Geert Jansen jansen@kde.org och Pietro Iglio iglio@fub.it.

AUTHOR

Lauri Watts <lauri@kde.org>
    Author.